import { Image, Swiper, SwiperItem, Text, View } from "@tarojs/components"
import styles  from './index.module.scss'
import { formatImgUrl } from "@/common/fotmat"
import Taro from "@tarojs/taro";
import { goLink } from "@/common/common";
import CloseBtn from "@/components/closeBtn";
import { useEffect, useState } from "react";

type params = {
    show?: true|false,
    onClose?: () => void
}
export default ({show = false, onClose}:params) => {
    const [showPop, setShowPop] = useState<true|false>(false)
    useEffect(() => {
       if(show !== undefined) setShowPop(() => show)
    }, [show])
    const onClick = async (val) => {
        onClose?.()
        setShowPop(() => false)
        if(val == 1) {
            goLink('/pages/depositBeforehand/index')
        } else {
            goLink('/pages/index/index', {}, 'switchTab')
        }
    }
    const onCloseEven = () => {
        setShowPop(() => false)
        onClose?.()
    }
    return (
        <>
            {showPop&&<View className={styles.bindSalesman_main}>
                <View className={styles.bindSalesman_pop}>
                    <View className={styles.bindSalesman_header} onClick={() => onClick(1)}>
                        <Image src={formatImgUrl('/mall/invite_code_success.png', '!w400')} mode="widthFix"/>
                    </View>
                    <View className={styles.btns} onClick = {() => onClick(2)}>
                        <Image src={formatImgUrl('/mall/invite_code_btn.png', '!w400')} mode="widthFix"/>
                    </View>
                    {/* <CloseBtn styleObj={{backgroundImage: '', border:'2PX solid #fff', color: '#fff'}}/> */}
                </View>
                <View className={styles.bindSalesman_mask} onClick={onCloseEven}></View>
            </View>}
        </>
    )
   
}